using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace GameList.Data.Migrations
{
    /// <inheritdoc />
    public partial class SyncPlayers : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "MaxPlayers",
                table: "Suggestions",
                type: "INTEGER",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "MinPlayers",
                table: "Suggestions",
                type: "INTEGER",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "MaxPlayers",
                table: "Suggestions");

            migrationBuilder.DropColumn(
                name: "MinPlayers",
                table: "Suggestions");
        }
    }
}
